if (!("finalizeConstruction" in ViewPU.prototype)) {
    Reflect.set(ViewPU.prototype, "finalizeConstruction", () => { });
}
export class MainPage extends ViewPU {
    constructor(w, x, y, z = -1, a1 = undefined, b1) {
        super(w, y, z, b1);
        if (typeof a1 === "function") {
            this.paramsGenerator_ = a1;
        }
        this.__message = new ObservedPropertySimplePU('Hello World', this, "message");
        this.setInitiallyProvidedValue(x);
        this.finalizeConstruction();
    }
    setInitiallyProvidedValue(v) {
        if (v.message !== undefined) {
            this.message = v.message;
        }
    }
    updateStateVars(u) {
    }
    purgeVariableDependenciesOnElmtId(t) {
        this.__message.purgeDependencyOnElmtId(t);
    }
    aboutToBeDeleted() {
        this.__message.aboutToBeDeleted();
        SubscriberManager.Get().delete(this.id__());
        this.aboutToBeDeletedInternal();
    }
    get message() {
        return this.__message.get();
    }
    set message(s) {
        this.__message.set(s);
    }
    initialRender() {
        this.observeComponentCreation2((q, r) => {
            Row.create();
            Row.height('100%');
        }, Row);
        this.observeComponentCreation2((o, p) => {
            Column.create();
            Column.width('100%');
        }, Column);
        this.observeComponentCreation2((m, n) => {
            Text.create(this.message);
            Text.fontSize(50);
            Text.fontWeight(FontWeight.Bold);
            Text.onClick(() => {
            });
        }, Text);
        Text.pop();
        Column.pop();
        Row.pop();
    }
    rerender() {
        this.updateDirtyElements();
    }
}
